OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.FramebufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTFramebufferObject :: MonadIO m => m Bool
- gl_EXT_framebuffer_object :: Bool
- gl_COLOR_ATTACHMENT0_EXT :: GLenum
- gl_COLOR_ATTACHMENT10_EXT :: GLenum
- gl_COLOR_ATTACHMENT11_EXT :: GLenum
- gl_COLOR_ATTACHMENT12_EXT :: GLenum
- gl_COLOR_ATTACHMENT13_EXT :: GLenum
- gl_COLOR_ATTACHMENT14_EXT :: GLenum
- gl_COLOR_ATTACHMENT15_EXT :: GLenum
- gl_COLOR_ATTACHMENT1_EXT :: GLenum
- gl_COLOR_ATTACHMENT2_EXT :: GLenum
- gl_COLOR_ATTACHMENT3_EXT :: GLenum
- gl_COLOR_ATTACHMENT4_EXT :: GLenum
- gl_COLOR_ATTACHMENT5_EXT :: GLenum
- gl_COLOR_ATTACHMENT6_EXT :: GLenum
- gl_COLOR_ATTACHMENT7_EXT :: GLenum
- gl_COLOR_ATTACHMENT8_EXT :: GLenum
- gl_COLOR_ATTACHMENT9_EXT :: GLenum
- gl_DEPTH_ATTACHMENT_EXT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT :: GLenum
- gl_FRAMEBUFFER_BINDING_EXT :: GLenum
- gl_FRAMEBUFFER_COMPLETE_EXT :: GLenum
- gl_FRAMEBUFFER_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT :: GLenum
- gl_FRAMEBUFFER_UNSUPPORTED_EXT :: GLenum
- gl_INVALID_FRAMEBUFFER_OPERATION_EXT :: GLenum
- gl_MAX_COLOR_ATTACHMENTS_EXT :: GLenum
- gl_MAX_RENDERBUFFER_SIZE_EXT :: GLenum
- gl_RENDERBUFFER_ALPHA_SIZE_EXT :: GLenum
- gl_RENDERBUFFER_BINDING_EXT :: GLenum
- gl_RENDERBUFFER_BLUE_SIZE_EXT :: GLenum
- gl_RENDERBUFFER_DEPTH_SIZE_EXT :: GLenum
- gl_RENDERBUFFER_EXT :: GLenum
- gl_RENDERBUFFER_GREEN_SIZE_EXT :: GLenum
- gl_RENDERBUFFER_HEIGHT_EXT :: GLenum
- gl_RENDERBUFFER_INTERNAL_FORMAT_EXT :: GLenum
- gl_RENDERBUFFER_RED_SIZE_EXT :: GLenum
- gl_RENDERBUFFER_STENCIL_SIZE_EXT :: GLenum
- gl_RENDERBUFFER_WIDTH_EXT :: GLenum
- gl_STENCIL_ATTACHMENT_EXT :: GLenum
- gl_STENCIL_INDEX16_EXT :: GLenum
- gl_STENCIL_INDEX1_EXT :: GLenum
- gl_STENCIL_INDEX4_EXT :: GLenum
- gl_STENCIL_INDEX8_EXT :: GLenum
- glBindFramebufferEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glBindRenderbufferEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glCheckFramebufferStatusEXT :: MonadIO m => GLenum -> m GLenum
- glDeleteFramebuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteRenderbuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glFramebufferRenderbufferEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m ()
- glFramebufferTexture1DEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture2DEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture3DEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glGenFramebuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenRenderbuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenerateMipmapEXT :: MonadIO m => GLenum -> m ()
- glGetFramebufferAttachmentParameterivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetRenderbufferParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsFramebufferEXT :: MonadIO m => GLuint -> m GLboolean
- glIsRenderbufferEXT :: MonadIO m => GLuint -> m GLboolean
- glRenderbufferStorageEXT :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetEXTFramebufferObject :: MonadIO m => m Bool

Is the EXT_framebuffer_object extension supported?

gl_EXT_framebuffer_object :: Bool

Is the EXT_framebuffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFramebufferObject` in those cases instead.

# Enums

gl_COLOR_ATTACHMENT0_EXT :: GLenum

gl_COLOR_ATTACHMENT10_EXT :: GLenum

gl_COLOR_ATTACHMENT11_EXT :: GLenum

gl_COLOR_ATTACHMENT12_EXT :: GLenum

gl_COLOR_ATTACHMENT13_EXT :: GLenum

gl_COLOR_ATTACHMENT14_EXT :: GLenum

gl_COLOR_ATTACHMENT15_EXT :: GLenum

gl_COLOR_ATTACHMENT1_EXT :: GLenum

gl_COLOR_ATTACHMENT2_EXT :: GLenum

gl_COLOR_ATTACHMENT3_EXT :: GLenum

gl_COLOR_ATTACHMENT4_EXT :: GLenum

gl_COLOR_ATTACHMENT5_EXT :: GLenum

gl_COLOR_ATTACHMENT6_EXT :: GLenum

gl_COLOR_ATTACHMENT7_EXT :: GLenum

gl_COLOR_ATTACHMENT8_EXT :: GLenum

gl_COLOR_ATTACHMENT9_EXT :: GLenum

gl_DEPTH_ATTACHMENT_EXT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT :: GLenum

gl_FRAMEBUFFER_BINDING_EXT :: GLenum

gl_FRAMEBUFFER_COMPLETE_EXT :: GLenum

gl_FRAMEBUFFER_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT :: GLenum

gl_FRAMEBUFFER_UNSUPPORTED_EXT :: GLenum

gl_INVALID_FRAMEBUFFER_OPERATION_EXT :: GLenum

gl_MAX_COLOR_ATTACHMENTS_EXT :: GLenum

gl_MAX_RENDERBUFFER_SIZE_EXT :: GLenum

gl_RENDERBUFFER_ALPHA_SIZE_EXT :: GLenum

gl_RENDERBUFFER_BINDING_EXT :: GLenum

gl_RENDERBUFFER_BLUE_SIZE_EXT :: GLenum

gl_RENDERBUFFER_DEPTH_SIZE_EXT :: GLenum

gl_RENDERBUFFER_EXT :: GLenum

gl_RENDERBUFFER_GREEN_SIZE_EXT :: GLenum

gl_RENDERBUFFER_HEIGHT_EXT :: GLenum

gl_RENDERBUFFER_INTERNAL_FORMAT_EXT :: GLenum

gl_RENDERBUFFER_RED_SIZE_EXT :: GLenum

gl_RENDERBUFFER_STENCIL_SIZE_EXT :: GLenum

gl_RENDERBUFFER_WIDTH_EXT :: GLenum

gl_STENCIL_ATTACHMENT_EXT :: GLenum

gl_STENCIL_INDEX16_EXT :: GLenum

gl_STENCIL_INDEX1_EXT :: GLenum

gl_STENCIL_INDEX4_EXT :: GLenum

gl_STENCIL_INDEX8_EXT :: GLenum

# Functions

glBindFramebufferEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLuint | `framebuffer`.
-> m () |

glBindRenderbufferEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `RenderbufferTarget`.
-> GLuint | `renderbuffer`.
-> m () |

glCheckFramebufferStatusEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> m GLenum |

This command is an alias for `glCheckFramebufferStatus`.

glDeleteFramebuffersEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteFramebuffers`.

glDeleteRenderbuffersEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteRenderbuffers`.

glFramebufferRenderbufferEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `renderbuffertarget` of type `RenderbufferTarget`.
-> GLuint | `renderbuffer`.
-> m () |

This command is an alias for `glFramebufferRenderbuffer`.

glFramebufferTexture1DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `textarget`.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

This command is an alias for `glFramebufferTexture1D`.

glFramebufferTexture2DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `textarget`.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

This command is an alias for `glFramebufferTexture2D`.

glFramebufferTexture3DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `textarget`.
-> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `zoffset`.
-> m () |

This command is an alias for `glFramebufferTexture3D`.

glGenFramebuffersEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenFramebuffers`.

glGenRenderbuffersEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenRenderbuffers`.

glGenerateMipmapEXT

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m () |

This command is an alias for `glGenerateMipmap`.

glGetFramebufferAttachmentParameterivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetFramebufferAttachmentParameteriv`.

glGetRenderbufferParameterivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `RenderbufferTarget`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetRenderbufferParameteriv`.

glIsFramebufferEXT

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsFramebuffer`.

glIsRenderbufferEXT

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsRenderbuffer`.

glRenderbufferStorageEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `RenderbufferTarget`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

This command is an alias for `glRenderbufferStorage`.